Go to the latest version of this document.

# ``twisted`.`application`.`_client_service``

module documentation
(source)

Implementation of `twisted.application.internet.ClientService`, particularly its automat state machine.

Function | `makeMachine` | Undocumented
Type Variable | `T` | Undocumented
Variable | `ClientMachine` | Undocumented
Class | `_Client` | No class docstring; 7/7 methods documented
Class | `_Core` | Shared core for ClientService state machine.
Class | `_DisconnectFactory` | A `_DisconnectFactory` is a proxy for `IProtocolFactory` that catches `connectionLost` notifications and relays them.
Class | `_ReconnectingProtocolProxy` | A proxy for a Protocol to provide connectionLost notification to a client connection service, in support of reconnecting when connections are lost.
Function | `_deinterface` | Remove the special runtime attributes set by `implementer` so that a class can proxy through those attributes with `__getattr__` and thereby forward optionally-provided interfaces by the delegated class.
Function | `_maybeGlobalReactor` | No summary
Variable | `_defaultPolicy` | Undocumented

def makeMachine() -> `Callable[[_Core], _Client]`: (source)

Undocumented

T = (source)

Undocumented

Value

    TypeVar('T')

ClientMachine = (source)

Undocumented

def _deinterface(o: `object`): (source)

Remove the special runtime attributes set by `implementer` so that a class can proxy through those attributes with `__getattr__` and thereby forward optionally-provided interfaces by the delegated class.

def _maybeGlobalReactor(maybeReactor: `T | None`) -> `T`: (source)

Returns
`T` | the argument, or the global reactor if the argument is `None`.

_defaultPolicy = (source)

Undocumented